import { GetListResponse } from '@dvn/core/api/dto/list';
import { Logger } from '@dvn/core/log/logger';
import { DataModel } from '@dvn/core/models/data-model';
import { AtamaApi } from '../../../../atama/src/api/atamaApi';
export declare class AtamaApiDemo implements AtamaApi {
  database: any;
  logger: Logger;
  constructor(database: any, logger: Logger);
  addAuthInterceptor(token: string): void;
  getPairsOfUser(base: string, collection: string, userRefFieldId: string, userRefFieldValue: string): Promise<GetListResponse<DataModel>>;
  getSelectionList(base: string, collection: string, pairConfigId: string, userRefFieldId: string, memberToViewRefFieldId: string): Promise<GetListResponse<DataModel>>;
  getSentRequests(base: string, collection: string, userRefFieldValue: string): Promise<GetListResponse<DataModel>>;
  getReceivedRequests(base: string, collection: string): Promise<GetListResponse<DataModel>>;
  getMeetingsOfUser(base: string, collection: string, structureId: string, userRefFieldValue: string): Promise<GetListResponse<DataModel>>;
  endPair(base: string, collection: string, pairId: string): Promise<any>;
  sendPairRequest(base: string, collection: string, userRefFieldId: string, userRefFieldValue: string, memberToViewRefFieldId: string, memberToViewData: DataModel): Promise<any>;
  acceptPairRequest(base: string, collection: string, requestId: string): Promise<any>;
  rejectPairRequest(base: string, collection: string, requestId: string): Promise<any>;
}
